Skip to content
Permalink
Browse files
Move from OSGi Spec V4.2 to V6
Increase of OSGi dependencies core and compendium (now cmpn) from 4.2 to 6.0.
Previously it was possible to run JClouds in OSGi environments from version 4.

An essential aspect to use JClouds in an OSGi environment requires so-called feature sets. These can be generated manually or automatically - see JClouds-Karaf project. Since there have been significant changes in the structure and behaviour of Karaf in the meantime, an adaptation is appropriate.

Breaking change - probably not, as no other APIs of core and compendium are used than up to now.

OSGi - V4.2 - Karaf 2.2.x - to 2.2.9 (Current Status - not active)
OSGi - V6.0 - Karaf 4.1.x - 4.2 (Current Status - active)
  • Loading branch information
markus-gritsch authored and gaul committed Jan 31, 2021
1 parent cb9d937 commit 0eb89aef6d0113c86ca0b9b484f4b535b888ce31
Showing 2 changed files with 4 additions and 5 deletions.
@@ -64,7 +64,7 @@
</dependency>
<dependency>
<groupId>org.osgi</groupId>
<artifactId>org.osgi.compendium</artifactId>
<artifactId>osgi.cmpn</artifactId>
<scope>provided</scope>
</dependency>
<dependency>
@@ -248,8 +248,7 @@
<logback.version>1.1.2</logback.version>

<!-- OSGi dependency versions -->
<osgi.version>4.2.0</osgi.version>
<osgi.compendium.version>${osgi.version}</osgi.compendium.version>
<osgi.version>6.0.0</osgi.version>

<!-- Test dependency versions -->
<testng.version>6.8.21</testng.version>
@@ -369,8 +368,8 @@
</dependency>
<dependency>
<groupId>org.osgi</groupId>
<artifactId>org.osgi.compendium</artifactId>
<version>${osgi.compendium.version}</version>
<artifactId>osgi.cmpn</artifactId>
<version>${osgi.version}</version>
</dependency>

<!-- Test dependencies -->

0 comments on commit 0eb89ae

Please sign in to comment.